<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <title>Gin</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

</head>
<body>
<div class="container">
    <div class="row">
        <div class="col-4">
            <div class="form-check">
                <input class="form-check-input" type="checkbox" id="flexCheck1" name="laptops">
                <label class="form-check-label" for="flexCheck1">Laptops <span>4</span></label>
            </div>
            <div class="form-check">
                <input class="form-check-input" type="checkbox" id="flexCheck2" name="Smartphones">
                <label class="form-check-label" for="flexCheck2">Smartphones <span>6</span></label>
            </div>
            <div class="form-check">
                <input class="form-check-input" type="checkbox" id="flexCheck3" name="Watch">
                <label class="form-check-label" for="flexCheck3">Watch <span>2</span></label>
            </div>
            <div>
                <select id="flexSelect1" class="form-select" aria-label="Default select example" name="select">
                    <option value="1" >Cheap</option>
                    <option value="2">Alphabetically</option>
                    <option value="3">New</option>
                </select>
            </div>
        </div>
        <div class="col-8">
            <div id="text">

            </div>
        </div>
    </div>
</div>
<script>
    $( document ).ready(function() {
        $('select').on("change", function(){
            var selected = $(this).val();
            $.ajax({
                url: '../task_4_5_6/AjaxShow.php',
                type: 'GET',
                cache: false,
                data: {
                    selID: {selected}
                },
                dataType: 'html',
                success: function (trans) {
                    $('#text').empty().html(trans);
                }
            });
        });
    })
    //     $.get('AjaxShow.php?namber=null ', function (trans) {
    //         $('#text').html(trans);
    //     })
        $('#flexCheck1').click(function () {
            $.ajax({
                url: '../task_4_5_6/AjaxShow.php',
                type: 'GET',
                cache: false,
                data: {namber: 1},
                dataType: 'html',
                success: function (trans) {
                    $('#text').html(trans);
                }
            });
        });
        $('#flexCheck2').click(function () {
            $.ajax({
                url: '../task_4_5_6/AjaxShow.php',
                type: 'GET',
                data: {namber: 2},
                success: function (trans) {
                    $('#text').html(trans);
                }
            });
        });
        let click = $('#flexCheck3').click(function () {
            $.ajax({
                url: '../task_4_5_6/AjaxShow.php',
                type: 'GET',
                data: {namber: 3},
                success: function (trans) {
                    $('#text').html(trans);
                }
            });
        });
</script>
</body>
</html>
